Description

sGop13 is to verify that the DUT can publish dataset with ConfDataSet.maxAttributes entries.
This test case is mandatory and introduced by tissue 719 and also the final decision is written in IEC 61850 Part 6 ED2.1.

| propose to delete this test case based on the following reasons:
e This test case is mandatory but the ConfDataSet.maxAttriburtes is optional.

¢ | think the test case go beyond what the tissue 719 and the standard requires.
The TISSUE 719 and the standard only says that maxAttributes is the maximum number of FCDA elements (data set entries)
allowed in a data set.
It defines that DUT's dataset ability and also clarify that the value is for data set entry.
| can not find in standard where says that the DUT has to publish GOOSE with maximum entry dataset.
When the DUT can support big dataset, and this big dataset is configured into GOOSE, test case sGopN2 will make sure that
DUT can not publish it.

at the same time, to check tissue 719 and the standard's requirement, maybe we can update test case sCnf5 and sDs1:
for sCnf5:

it can add a description to create a dataset with max data set entries if ConfDataSet.maxAttriburtes is present.

for sDs1:

before step 1, address that associate with server using local maximumal PDU size.

and in step 1, the client will requests GetLogicalNodeDirectory, GetDatasetDirectory and GetDatasetValues.

History

#1 - 02/19/2025 03:35 AM - Hua Qin
- Initial Test Document set to ED2.1 Server TP Revision 1.3

- Test Case ID set to sGop13

#2 - 03/04/2025 09:10 AM - IEC 61850 TPWG
- Due date set to 04/01/2025

- Status changed from New to In Progress

Test shall pass if the GOOSE dataset is limited by PDU size before reaching maxAttributes dataset size.
TISSUE to be raised by Sarah to consider adding another attribute for GOOSE dataset size.

proposed to add any limit to GOOSE size in PIXIT until resolved in the standard.

#3 - 03/05/2025 04:02 AM - Richard Schimmel

04/19/2025 12




- File Solution to redmine 7131 sGop13 PIXIT.docx added

- Subject changed from proposal to remove mandatory sGop13 test case to Update sGop13 test case with PIXiT max attributes

- 61850 Standard 8-1 added

added solution with new PIXIT entry

#4 - 04/01/2025 08:31 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

Files

Solution to redmine 7131 sGop13 PIXIT.docx 35.8 KB
